Bug 1411057 - fingerprint reader not working for sudo after upgrade to F25
Summary: fingerprint reader not working for sudo after upgrade to F25
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fprintd
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-07 23:54 UTC by Dimitris
Modified: 2017-11-16 19:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-16 19:18:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Dimitris 2017-01-07 23:54:24 UTC
Description of problem:

Using sudo, I am always prompted for the password.  Before the upgrade (and since F19) sudo would prompt for the fingerprint instead

Version-Release number of selected component (if applicable):
0.7.0-1.fc25

How reproducible:
Every time

Steps to Reproduce:
1. sudo <some command>
2. Password prompt follows

Actual results:

sudo prompts for password

Expected results:

sudo should prompt for fingerprint

Additional info:

Comment 1 Dimitris 2017-01-08 21:23:44 UTC
I've re-enabled the fingerprint reader for sudo by re-enabling it on authconfig-tui.  Is this a default change from F24 to F25 (and is it still a bug, or was it a deliberate change)?

Comment 2 Fedora End Of Life 2017-11-16 18:37:11 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.